<?php
namespace Home\Controller;
use Common\Controller\BaseController;
class ServiceController extends BaseController {
    public function index(){
    $this->display();
    }
	
	public function freeym(){
		
		
		$this->display();	
		
	
    
    }
	public function  chkurl(){
		
	$where['url']=I('get.url');
	$text=I('get.url');
	$arr="http,?,@,HTTP";
	if(check_in($arr,$text)=="y"){echo "<span style='color:#fb4702;'>输入的格式有误，无需输入 http:// 以及域名后缀，域名也不能包含特殊字符！</span>";exit;}
	$arr2="admin,jxc,sq,www,*";
	if(check_in($arr2,$text)=="y"){echo "<span style='color:#fb4702;'>".$text."是系统保留域名，无法申请!</span>";exit;}
	$data=D('Buy')->where($where)->find();
	if($data){echo "抱歉！该域名已被注册。";}else{echo "恭喜，".I('get.url')."可以使用！";}	
	}
	
	

}